Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.extensions
Class PSPageTrailerCodeBeforeElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
              org.apache.fop.render.ps.extensions.AbstractPSCommentElement
                  org.apache.fop.render.ps.extensions.PSPageTrailerCodeBeforeElement

All Implemented Interfaces:
  java.lang.Cloneable

    public class PSPageTrailerCodeBeforeElement

extends AbstractPSCommentElement

Comment before element

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary
`protected static java.lang.String` | `ELEMENT` the element name

Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`attachment`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`PSPageTrailerCodeBeforeElement(FONode parent)` Main constructor

Method Summary
`java.lang.String` | `getLocalName()` Returns the local name (i.e.
`protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object

Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSCommentElement
`startOfNode`

Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

Methods inherited from class org.apache.fop.fo.FONode
`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, processNode, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    protected static final java.lang.String ELEMENT

  the element name

  See Also:
    Constant Field Values

Constructor Detail

### PSPageTrailerCodeBeforeElement

    public PSPageTrailerCodeBeforeElement(FONode parent)

  Main constructor

  Parameters:
    `parent` - parent node

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Description copied from class: `FONode`
  Returns the local name (i.e. without namespace prefix) of the node

  Specified by:
    `getLocalName` in class `FONode`
  Returns:
    local name
  See Also:
    `FONode.getLocalName()`

### instantiateExtensionAttachment

    protected ExtensionAttachment instantiateExtensionAttachment()

  Description copied from class: `AbstractPSExtensionElement`
  Instantiates extension attachment object

  Specified by:
    `instantiateExtensionAttachment` in class `AbstractPSExtensionElement`
  Returns:
    instance of its extension attachment object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.